import request from '@/utils/request'

// 查询用户列表列表
export function listUserList(query) {
  return request({
    url: '/system/user/list',
    method: 'get',
    params: query
  })
}

// 查询用户列表详细
export function getUserList(userId) {
  return request({
    url: '/system/user/' + userId,
    method: 'get'
  })
}

// 新增用户列表
export function addUserList(data) {
  return request({
    url: '/system/user',
    method: 'post',
    data: data
  })
}

// 修改用户列表
export function updateUserList(data) {
  return request({
    url: '/system/user',
    method: 'put',
    data: data
  })
}

// 删除用户列表
export function delUserList(userId) {
  return request({
    url: '/system/user/' + userId,
    method: 'delete'
  })
}

// 导出用户列表
export function exportUserList(query) {
  return request({
    url: '/system/user/export',
    method: 'get',
    params: query
  })
}